// module: Switch.java
// auteur: felipe
// objet: montrer l'usage de switch


class Switch {
    public static void main (String [] args) {

	// simulation du jete d'un de (valeur entre 1 et 6 incluses)

	int de = (int) (Math.random()*6)+1;
	
	// une version violente avec les if else ....
	// vraiment pas de la bonne programmation

	if (de == 1) 
	    System.out.println("valeur du de = 1");
	else 
	    if (de == 2) 
		System.out.println("valeur du de = 2");
	    else
		if (de == 3) 
		    System.out.println("valeur du de = 3");
		else		    
		    if (de == 4) 
			System.out.println("valeur du de = 4");
		    else
			if (de == 5) 
			    System.out.println("valeur du de = 5");
			else
			    System.out.println("valeur du de = 6");

	// pour gerer ce type de probleme, il faut mieux utiliser un switch
	// mais attention : les breaks sont indispensables !!! 

	switch (de) {
	case 1: System.out.println("valeur du de = 1"); break;
	case 2: System.out.println("valeur du de = 2"); break;
	case 3: System.out.println("valeur du de = 3"); break;
	case 4: System.out.println("valeur du de = 4"); break;
	case 5: System.out.println("valeur du de = 5"); break;
	case 6: System.out.println("valeur du de = 6"); break;
	}

	// voyons le switch plus en detail....

	switch (de) {
	case 1:
	case 2:
	case 3: 
	    System.out.println("valeur inferieure ou egale a 3");
	    break;
	case 4:
	case 5:
	    System.out.println("valeur est 4 ou 5");
	    System.out.println("on peut mettre plus d'une instruction dans un bloc case");
	    break; 
	default: // le "rammasse miettes"
	    {
	    System.out.println("Ici il ne peut s'agir que de 6");
	    System.out.println("Notez qu'ici j'ai utilise des accolades pour encadrer le bloc default ce qui n'est pas necssaire");
	    }
	}
    }
}
